Name:           perl-IPC-Signal
Version:        1.00
Release:        2%{?dist}
Summary:        Utility functions dealing with signals for Perl 

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/IPC-Signal/

Source0:        http://www.cpan.org/modules/by-module/IPC/IPC-Signal-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch 
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This Perl module contains utility functions for dealing with signals. 
Currently these are just translating between signal names and signal 
numbers and vice versa. 


%prep
%setup -q -n IPC-Signal-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/IPC/
%{_mandir}/man3/IPC::Signal.3pm*


%changelog
* Sun Jun 27 2010 Ralf Corsépius <corsepiu@fedoraproject.org> 1.00-2
- Rebuild for perl-5.12.

* Tue Jun 10 2010 Matthias Runge <mrunge@matthias-runge.de> 1.00-1
- initial version, renamed from perl-IPC-signal
